RDKit::EnumerationParams Struct Reference

This is a class for providing enumeration options that control. More...

`#include <Enumerate.h>`

## Public Member Functions

| EnumerationParams ()
| EnumerationParams (const EnumerationParams &rhs)

## Public Attributes

int | reagentMaxMatchCount
bool | sanePartialProducts

## Detailed Description

This is a class for providing enumeration options that control.

Option reagentMaxMatchCount [default INT_MAX] This specifies how many times the reactant template can match a reagent.

sanePartialProducts [default false] If true, forces all products of the reagent plus the product templates
\ pass chemical sanitization. Note that if the product template itself
\ does not pass sanitization, then none of the products will.

Definition at line 60 of file Enumerate.h.

## Constructor & Destructor Documentation

## EnumerationParams() [1/2]

RDKit::EnumerationParams::EnumerationParams | ( |  | ) |

inline

Definition at line 63 of file Enumerate.h.

## EnumerationParams() [2/2]

RDKit::EnumerationParams::EnumerationParams | ( | const EnumerationParams & | rhs | ) |

inline

Definition at line 66 of file Enumerate.h.

## Member Data Documentation

## reagentMaxMatchCount

int RDKit::EnumerationParams::reagentMaxMatchCount

Definition at line 61 of file Enumerate.h.

## sanePartialProducts

bool RDKit::EnumerationParams::sanePartialProducts

Definition at line 62 of file Enumerate.h.

The documentation for this struct was generated from the following file:

- Enumerate.h